This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 618265 - Doc: document upgrade steps for system wide snmp config.
Doc: document upgrade steps for system wide snmp config.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
Corey Welton
:
Depends On:
Blocks: jon-sprint12-bugs
  Show dependency treegraph
 
Reported: 2010-07-26 10:16 EDT by Heiko W. Rupp
Modified: 2013-05-29 18:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-10 20:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of the SNMP alert sender plugin configuration for reference (155.62 KB, image/png)
2010-07-26 10:16 EDT, Heiko W. Rupp
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 156143 None None None Never

  None (edit)
Description Heiko W. Rupp 2010-07-26 10:16:16 EDT
Created attachment 434430 [details]
Screenshot of the SNMP alert sender plugin configuration for reference

System wide settings for snmp alerting are not automatically carried over in RHQ 3.
We need to document what is needed.

This is only applicable for servers upgraded from 2.x (x < 4) to 2.4

Best is to make a screenshot of the current setting (Administration -> System Configuration -> Settings ) of the SNMP section before upgrading so see the current settings.


If upgrade has already been done without the screenshot, you can run the following SQL

select property_key,property_value from RHQ_SYSTEM_CONFIG where property_key like 'SNMP%';

on the JON database in order to pull the values from there. Then follow the documented steps to configure the SNMP alert sender in JON 2.4

The following table shows the property name in the database and the name of the option in the UI:


PROPERTY_KEY
---------------------
SNMP_AGENT_ADDRESS               Agent Address
SNMP_AUTH_PASSPHRASE            Auth Passphrase
SNMP_AUTH_PROTOCOL              Auth Protocol
SNMP_COMMUNITY                       Community
SNMP_CONTEXT_NAME                Target Context Name
SNMP_ENGINE_ID                           Engine ID
SNMP_ENTERPRISE_OID                 Enterprise OID
SNMP_GENERIC_ID                         Generic ID
SNMP_PRIVACY_PROTOCOL         Privacy Protocol
SNMP_PRIV_PASSPHRASE              Privacy Passphrase
SNMP_SECURITY_NAME                 Security Name
SNMP_SPECIFIC_ID                         Speficic ID
SNMP_TRAP_OID                            Trap OID
SNMP_VERSION                               SNMP protocol version
Comment 1 Deon Ballard 2010-08-02 11:48:37 EDT
I added a section in the upgrade part of the install guide for manually migrating SNMP settings:

http://www.redhat.com/docs/en-US/JBoss_ON/2.4/install/html/updating-snmp.html
Comment 2 Corey Welton 2010-08-18 15:37:09 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.